complain if running with py2
[blender.git] / source / blender / makesrna / rna_cleanup / rna_cleaner.py
index 2f2fabd6d6c26de3307d086f609fece6fde662b1..52bd59a6bba74d38100c4b086149e3460e1b8b1d 100755 (executable)
@@ -274,5 +274,9 @@ def main():
 
 
 if __name__=='__main__':
-    main()
+    import sys
+    if not sys.version.startswith("3"):
+        print("Incorrect python version, use python 3!")
+    else:
+        main()